Name:       spectre-meltdown-checker
Version:    0.35
Release:    1%{?dist}

Summary:    Spectre & Meltdown vulnerability/mitigation checker for Linux
License:    GPLv3
URL:        https://github.com/speed47/spectre-meltdown-checker
Source0:    https://github.com/speed47/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:  noarch

Requires:   /bin/sh
Requires:   binutils
Requires:   coreutils
Requires:   gawk
Requires:   gzip
Requires:   grep
Requires:   sed
Requires:   which
%if 0%{?rhel} == 6
Requires:   module-init-tools
Requires:   util-linux-ng
%else
Requires:   kmod
Requires:   util-linux
%endif

BuildRequires: help2man

%description
%{summary}.

%prep
%autosetup -n %{name}-%{version}

%build

%install
install -D --preserve-timestamps %{name}.sh %{buildroot}%{_bindir}/%{name}
install -d %{buildroot}%{_mandir}/man1
help2man %{buildroot}%{_bindir}/%{name} -n "Spectre and Meltdown mitigation detection tool" \
    --no-info --output=%{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc README.md
%license LICENSE
%{_bindir}/*
%{_mandir}/man1/%{name}*

%changelog
* Sun Feb 18 2018 Reto Gantenbein <reto.gantenbein@linuxmonk.ch> - 0.35-1
- Update to 0.35

* Tue Feb 13 2018 Reto Gantenbein <reto.gantenbein@linuxmonk.ch> - 0.34-1
- Update to 0.34

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 29 2018 Reto Gantenbein <reto.gantenbein@linuxmonk.ch> 0.33-1
- Initial package
